<?php

declare(strict_types=1);

namespace App\Providers;

use App\Providers\Interfaces\CustomerRepositoryInterface;
use Illuminate\Support\ServiceProvider;

/**
 * Customer Service Provider
 */
class CustomerServiceProvider extends ServiceProvider
{
    public function boot()
    {
        $this->loadRoutesFrom(base_path('app/Services/Customer/Routes/').'api.php');
    }

    public function register()
    {
        $this->app->singleton(CustomerRepositoryInterface::class, function ($app) {
            return $app->make(CustomerRepository::class);
        });
    }

    public function provides()
    {
        return [CustomerRepositoryInterface::class]; // TODO: Change the autogenerated stub
    }
}
